/*
 $Id: EditValue.cpp,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

// EditValue.cpp : implementation file
//

#include "stdafx.h"
#include "drewsky.h"
#include "EditValue.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditValueDlg dialog


CEditValueDlg::CEditValueDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CEditValueDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditValueDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CEditValueDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditValueDlg)
	DDX_Control(pDX, IDC_VALUEENABLED, m_cbEnabled);
	DDX_Control(pDX, IDC_TEXTVALUE, m_ceTextValue);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditValueDlg, CDialog)
	//{{AFX_MSG_MAP(CEditValueDlg)
	ON_BN_CLICKED(IDC_VALUEENABLED, OnValueenabled)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditValueDlg message handlers

void CEditValueDlg::OnValueenabled() 
{
	UpdateData( TRUE );
	if ( this->m_cbEnabled.GetCheck() == 0 )
		this->m_cbEnabled.SetWindowText("False");
	else
		this->m_cbEnabled.SetWindowText("True");
}

BOOL CEditValueDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	this->m_cbEnabled.ShowWindow( m_bTextMode ? SW_HIDE : SW_SHOW );
	this->m_ceTextValue.ShowWindow( m_bTextMode ? SW_SHOW : SW_HIDE );
	this->m_cbEnabled.SetCheck( m_bEnabled );
	this->m_ceTextValue.SetWindowText( m_csTextValue );
	if ( this->m_bEnabled )
		this->m_cbEnabled.SetWindowText("True");
	this->SetWindowText( this->m_csCaption );
		
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CEditValueDlg::OnOK() 
{
	// TODO: Add extra validation here
	this->m_bEnabled = this->m_cbEnabled.GetCheck() == 0 ? false : true;
	this->m_ceTextValue.GetWindowText( this->m_csTextValue );
	
	CDialog::OnOK();
}
