/*
 $Id: NotoTitleEditDlg.cpp,v 1.4 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

// NotoTitleEditDlg.cpp : implementation file
//

#include "stdafx.h"
#include "drewsky.h"
#include "NotoTitleEditDlg.h"
#include "RemoteConnection.h"
#include "SpawnMessageDlg.h"
#include "RemoteConsole.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNotoTitleEditDlg dialog


CNotoTitleEditDlg::CNotoTitleEditDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNotoTitleEditDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNotoTitleEditDlg)
	m_csNoto0 = _T("");
	m_csNoto1 = _T("");
	m_csNoto10 = _T("");
	m_csNoto11 = _T("");
	m_csNoto12 = _T("");
	m_csNoto13 = _T("");
	m_csNoto14 = _T("");
	m_csNoto15 = _T("");
	m_csNoto16 = _T("");
	m_csNoto17 = _T("");
	m_csNoto18 = _T("");
	m_csNoto19 = _T("");
	m_csNoto2 = _T("");
	m_csNoto20 = _T("");
	m_csNoto21 = _T("");
	m_csNoto22 = _T("");
	m_csNoto23 = _T("");
	m_csNoto24 = _T("");
	m_csNoto25 = _T("");
	m_csNoto26 = _T("");
	m_csNoto27 = _T("");
	m_csNoto28 = _T("");
	m_csNoto29 = _T("");
	m_csNoto3 = _T("");
	m_csNoto30 = _T("");
	m_csNoto31 = _T("");
	m_csNoto32 = _T("");
	m_csNoto33 = _T("");
	m_csNoto34 = _T("");
	m_csNoto35 = _T("");
	m_csNoto36 = _T("");
	m_csNoto37 = _T("");
	m_csNoto38 = _T("");
	m_csNoto39 = _T("");
	m_csNoto4 = _T("");
	m_csNoto40 = _T("");
	m_csNoto41 = _T("");
	m_csNoto42 = _T("");
	m_csNoto43 = _T("");
	m_csNoto44 = _T("");
	m_csNoto45 = _T("");
	m_csNoto46 = _T("");
	m_csNoto47 = _T("");
	m_csNoto48 = _T("");
	m_csNoto49 = _T("");
	m_csNoto5 = _T("");
	m_csNoto50 = _T("");
	m_csNoto51 = _T("");
	m_csNoto52 = _T("");
	m_csNoto53 = _T("");
	m_csNoto54 = _T("");
	m_csNoto6 = _T("");
	m_csNoto7 = _T("");
	m_csNoto8 = _T("");
	m_csNoto9 = _T("");
	//}}AFX_DATA_INIT
}


void CNotoTitleEditDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNotoTitleEditDlg)
	DDX_Control(pDX, IDOK, m_cbSave);
	DDX_Text(pDX, IDC_NOTO_0, m_csNoto0);
	DDX_Text(pDX, IDC_NOTO_1, m_csNoto1);
	DDX_Text(pDX, IDC_NOTO_10, m_csNoto10);
	DDX_Text(pDX, IDC_NOTO_11, m_csNoto11);
	DDX_Text(pDX, IDC_NOTO_12, m_csNoto12);
	DDX_Text(pDX, IDC_NOTO_13, m_csNoto13);
	DDX_Text(pDX, IDC_NOTO_14, m_csNoto14);
	DDX_Text(pDX, IDC_NOTO_15, m_csNoto15);
	DDX_Text(pDX, IDC_NOTO_16, m_csNoto16);
	DDX_Text(pDX, IDC_NOTO_17, m_csNoto17);
	DDX_Text(pDX, IDC_NOTO_18, m_csNoto18);
	DDX_Text(pDX, IDC_NOTO_19, m_csNoto19);
	DDX_Text(pDX, IDC_NOTO_2, m_csNoto2);
	DDX_Text(pDX, IDC_NOTO_20, m_csNoto20);
	DDX_Text(pDX, IDC_NOTO_21, m_csNoto21);
	DDX_Text(pDX, IDC_NOTO_22, m_csNoto22);
	DDX_Text(pDX, IDC_NOTO_23, m_csNoto23);
	DDX_Text(pDX, IDC_NOTO_24, m_csNoto24);
	DDX_Text(pDX, IDC_NOTO_25, m_csNoto25);
	DDX_Text(pDX, IDC_NOTO_26, m_csNoto26);
	DDX_Text(pDX, IDC_NOTO_27, m_csNoto27);
	DDX_Text(pDX, IDC_NOTO_28, m_csNoto28);
	DDX_Text(pDX, IDC_NOTO_29, m_csNoto29);
	DDX_Text(pDX, IDC_NOTO_3, m_csNoto3);
	DDX_Text(pDX, IDC_NOTO_30, m_csNoto30);
	DDX_Text(pDX, IDC_NOTO_31, m_csNoto31);
	DDX_Text(pDX, IDC_NOTO_32, m_csNoto32);
	DDX_Text(pDX, IDC_NOTO_33, m_csNoto33);
	DDX_Text(pDX, IDC_NOTO_34, m_csNoto34);
	DDX_Text(pDX, IDC_NOTO_35, m_csNoto35);
	DDX_Text(pDX, IDC_NOTO_36, m_csNoto36);
	DDX_Text(pDX, IDC_NOTO_37, m_csNoto37);
	DDX_Text(pDX, IDC_NOTO_38, m_csNoto38);
	DDX_Text(pDX, IDC_NOTO_39, m_csNoto39);
	DDX_Text(pDX, IDC_NOTO_4, m_csNoto4);
	DDX_Text(pDX, IDC_NOTO_40, m_csNoto40);
	DDX_Text(pDX, IDC_NOTO_41, m_csNoto41);
	DDX_Text(pDX, IDC_NOTO_42, m_csNoto42);
	DDX_Text(pDX, IDC_NOTO_43, m_csNoto43);
	DDX_Text(pDX, IDC_NOTO_44, m_csNoto44);
	DDX_Text(pDX, IDC_NOTO_45, m_csNoto45);
	DDX_Text(pDX, IDC_NOTO_46, m_csNoto46);
	DDX_Text(pDX, IDC_NOTO_47, m_csNoto47);
	DDX_Text(pDX, IDC_NOTO_48, m_csNoto48);
	DDX_Text(pDX, IDC_NOTO_49, m_csNoto49);
	DDX_Text(pDX, IDC_NOTO_5, m_csNoto5);
	DDX_Text(pDX, IDC_NOTO_50, m_csNoto50);
	DDX_Text(pDX, IDC_NOTO_51, m_csNoto51);
	DDX_Text(pDX, IDC_NOTO_52, m_csNoto52);
	DDX_Text(pDX, IDC_NOTO_53, m_csNoto53);
	DDX_Text(pDX, IDC_NOTO_54, m_csNoto54);
	DDX_Text(pDX, IDC_NOTO_6, m_csNoto6);
	DDX_Text(pDX, IDC_NOTO_7, m_csNoto7);
	DDX_Text(pDX, IDC_NOTO_8, m_csNoto8);
	DDX_Text(pDX, IDC_NOTO_9, m_csNoto9);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNotoTitleEditDlg, CDialog)
	//{{AFX_MSG_MAP(CNotoTitleEditDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNotoTitleEditDlg message handlers

void CNotoTitleEditDlg::OnOK() 
{
	CWaitCursor hourglass;
	// Trim all the data files
	UpdateData(TRUE);
	m_csNoto0.TrimLeft(); m_csNoto0.TrimRight();
	m_csNoto1.TrimLeft(); m_csNoto1.TrimRight();
	m_csNoto2.TrimLeft(); m_csNoto2.TrimRight();
	m_csNoto3.TrimLeft(); m_csNoto3.TrimRight();
	m_csNoto4.TrimLeft(); m_csNoto4.TrimRight();
	m_csNoto5.TrimLeft(); m_csNoto5.TrimRight();
	m_csNoto6.TrimLeft(); m_csNoto6.TrimRight();
	m_csNoto7.TrimLeft(); m_csNoto7.TrimRight();
	m_csNoto8.TrimLeft(); m_csNoto8.TrimRight();
	m_csNoto9.TrimLeft(); m_csNoto9.TrimRight();
	m_csNoto10.TrimLeft(); m_csNoto10.TrimRight();
	m_csNoto11.TrimLeft(); m_csNoto11.TrimRight();
	m_csNoto12.TrimLeft(); m_csNoto12.TrimRight();
	m_csNoto13.TrimLeft(); m_csNoto13.TrimRight();
	m_csNoto14.TrimLeft(); m_csNoto14.TrimRight();
	m_csNoto15.TrimLeft(); m_csNoto15.TrimRight();
	m_csNoto16.TrimLeft(); m_csNoto16.TrimRight();
	m_csNoto17.TrimLeft(); m_csNoto17.TrimRight();
	m_csNoto18.TrimLeft(); m_csNoto18.TrimRight();
	m_csNoto19.TrimLeft(); m_csNoto19.TrimRight();
	m_csNoto20.TrimLeft(); m_csNoto20.TrimRight();
	m_csNoto21.TrimLeft(); m_csNoto21.TrimRight();
	m_csNoto22.TrimLeft(); m_csNoto22.TrimRight();
	m_csNoto23.TrimLeft(); m_csNoto23.TrimRight();
	m_csNoto24.TrimLeft(); m_csNoto24.TrimRight();
	m_csNoto25.TrimLeft(); m_csNoto25.TrimRight();
	m_csNoto26.TrimLeft(); m_csNoto26.TrimRight();
	m_csNoto27.TrimLeft(); m_csNoto27.TrimRight();
	m_csNoto28.TrimLeft(); m_csNoto28.TrimRight();
	m_csNoto29.TrimLeft(); m_csNoto29.TrimRight();
	m_csNoto30.TrimLeft(); m_csNoto30.TrimRight();
	m_csNoto31.TrimLeft(); m_csNoto31.TrimRight();
	m_csNoto32.TrimLeft(); m_csNoto32.TrimRight();
	m_csNoto33.TrimLeft(); m_csNoto33.TrimRight();
	m_csNoto34.TrimLeft(); m_csNoto34.TrimRight();
	m_csNoto35.TrimLeft(); m_csNoto35.TrimRight();
	m_csNoto36.TrimLeft(); m_csNoto36.TrimRight();
	m_csNoto37.TrimLeft(); m_csNoto37.TrimRight();
	m_csNoto38.TrimLeft(); m_csNoto38.TrimRight();
	m_csNoto39.TrimLeft(); m_csNoto39.TrimRight();
	m_csNoto40.TrimLeft(); m_csNoto40.TrimRight();
	m_csNoto41.TrimLeft(); m_csNoto41.TrimRight();
	m_csNoto42.TrimLeft(); m_csNoto42.TrimRight();
	m_csNoto43.TrimLeft(); m_csNoto43.TrimRight();
	m_csNoto44.TrimLeft(); m_csNoto44.TrimRight();
	m_csNoto45.TrimLeft(); m_csNoto45.TrimRight();
	m_csNoto46.TrimLeft(); m_csNoto46.TrimRight();
	m_csNoto47.TrimLeft(); m_csNoto47.TrimRight();
	m_csNoto48.TrimLeft(); m_csNoto48.TrimRight();
	m_csNoto49.TrimLeft(); m_csNoto49.TrimRight();
	m_csNoto50.TrimLeft(); m_csNoto50.TrimRight();
	m_csNoto51.TrimLeft(); m_csNoto51.TrimRight();
	m_csNoto52.TrimLeft(); m_csNoto52.TrimRight();
	m_csNoto53.TrimLeft(); m_csNoto53.TrimRight();
	m_csNoto54.TrimLeft(); m_csNoto54.TrimRight();


	Main->m_pScripts->m_tables.m_notoTitles.RemoveAll();
	int index = 0;
	for ( int i = 0; i < 55; i++ )
	{
		CString csTitle;
		switch (i)
		{
		case 0: csTitle =	m_csNoto0; break;
		case 1: csTitle =	m_csNoto1; break;
		case 2: csTitle =	m_csNoto2; break;
		case 3: csTitle =	m_csNoto3; break;
		case 4: csTitle =	m_csNoto4; break;
		case 5: csTitle =	m_csNoto5; break;
		case 6: csTitle =	m_csNoto6; break;
		case 7: csTitle =	m_csNoto7; break;
		case 8: csTitle =	m_csNoto8; break;
		case 9: csTitle =	m_csNoto9; break;
		case 10: csTitle = m_csNoto10; break;
		case 11: csTitle = m_csNoto11; break;
		case 12: csTitle = m_csNoto12; break;
		case 13: csTitle = m_csNoto13; break;
		case 14: csTitle = m_csNoto14; break;
		case 15: csTitle = m_csNoto15; break;
		case 16: csTitle = m_csNoto16; break;
		case 17: csTitle = m_csNoto17; break;
		case 18: csTitle = m_csNoto18; break;
		case 19: csTitle = m_csNoto19; break;
		case 20: csTitle = m_csNoto20; break;
		case 21: csTitle = m_csNoto21; break;
		case 22: csTitle = m_csNoto22; break;
		case 23: csTitle = m_csNoto23; break;
		case 24: csTitle = m_csNoto24; break;
		case 25: csTitle = m_csNoto25; break;
		case 26: csTitle = m_csNoto26; break;
		case 27: csTitle = m_csNoto27; break;
		case 28: csTitle = m_csNoto28; break;
		case 29: csTitle = m_csNoto29; break;
		case 30: csTitle = m_csNoto30; break;
		case 31: csTitle = m_csNoto31; break;
		case 32: csTitle = m_csNoto32; break;
		case 33: csTitle = m_csNoto33; break;
		case 34: csTitle = m_csNoto34; break;
		case 35: csTitle = m_csNoto35; break;
		case 36: csTitle = m_csNoto36; break;
		case 37: csTitle = m_csNoto37; break;
		case 38: csTitle = m_csNoto38; break;
		case 39: csTitle = m_csNoto39; break;
		case 40: csTitle = m_csNoto40; break;
		case 41: csTitle = m_csNoto41; break;
		case 42: csTitle = m_csNoto42; break;
		case 43: csTitle = m_csNoto43; break;
		case 44: csTitle = m_csNoto44; break;
		case 45: csTitle = m_csNoto45; break;
		case 46: csTitle = m_csNoto46; break;
		case 47: csTitle = m_csNoto47; break;
		case 48: csTitle = m_csNoto48; break;
		case 49: csTitle = m_csNoto49; break;
		case 50: csTitle = m_csNoto50; break;
		case 51: csTitle = m_csNoto51; break;
		case 52: csTitle = m_csNoto52; break;
		case 53: csTitle = m_csNoto53; break;
		case 54: csTitle = m_csNoto54; break;
		default: break;
		}
		Main->m_pScripts->m_tables.m_notoTitles.SetAtGrow(index++, csTitle);
		if ( (i + 1)  % 5 == 0 )
			Main->m_pScripts->m_tables.m_notoTitles.SetAtGrow(index++, "");
	}

	if ( Main->m_pScripts->m_tables.Write() )
		CDialog::OnOK();

}

BOOL CNotoTitleEditDlg::OnInitDialog() 
{
	CWaitCursor hourglass;
	CDialog::OnInitDialog();
	
	Main->m_pScripts->LoadTables();

	int index = 0;
	for ( int i = 0; i < Main->m_pScripts->m_tables.m_notoTitles.GetSize(); i++ )
	{
		CString csLine = Main->m_pScripts->m_tables.m_notoTitles.GetAt(i);
		if ( csLine == "" )
			continue;
		switch(index++)
		{
		case 0:	m_csNoto0 = csLine; break;
		case 1:	m_csNoto1 = csLine; break;
		case 2:	m_csNoto2 = csLine; break;
		case 3:	m_csNoto3 = csLine; break;
		case 4:	m_csNoto4 = csLine; break;
		case 5:	m_csNoto5 = csLine; break;
		case 6:	m_csNoto6 = csLine; break;
		case 7:	m_csNoto7 = csLine; break;
		case 8:	m_csNoto8 = csLine; break;
		case 9:	m_csNoto9 = csLine; break;
		case 10: m_csNoto10 = csLine; break;
		case 11: m_csNoto11 = csLine; break;
		case 12: m_csNoto12 = csLine; break;
		case 13: m_csNoto13 = csLine; break;
		case 14: m_csNoto14 = csLine; break;
		case 15: m_csNoto15 = csLine; break;
		case 16: m_csNoto16 = csLine; break;
		case 17: m_csNoto17 = csLine; break;
		case 18: m_csNoto18 = csLine; break;
		case 19: m_csNoto19 = csLine; break;
		case 20: m_csNoto20 = csLine; break;
		case 21: m_csNoto21 = csLine; break;
		case 22: m_csNoto22 = csLine; break;
		case 23: m_csNoto23 = csLine; break;
		case 24: m_csNoto24 = csLine; break;
		case 25: m_csNoto25 = csLine; break;
		case 26: m_csNoto26 = csLine; break;
		case 27: m_csNoto27 = csLine; break;
		case 28: m_csNoto28 = csLine; break;
		case 29: m_csNoto29 = csLine; break;
		case 30: m_csNoto30 = csLine; break;
		case 31: m_csNoto31 = csLine; break;
		case 32: m_csNoto32 = csLine; break;
		case 33: m_csNoto33 = csLine; break;
		case 34: m_csNoto34 = csLine; break;
		case 35: m_csNoto35 = csLine; break;
		case 36: m_csNoto36 = csLine; break;
		case 37: m_csNoto37 = csLine; break;
		case 38: m_csNoto38 = csLine; break;
		case 39: m_csNoto39 = csLine; break;
		case 40: m_csNoto40 = csLine; break;
		case 41: m_csNoto41 = csLine; break;
		case 42: m_csNoto42 = csLine; break;
		case 43: m_csNoto43 = csLine; break;
		case 44: m_csNoto44 = csLine; break;
		case 45: m_csNoto45 = csLine; break;
		case 46: m_csNoto46 = csLine; break;
		case 47: m_csNoto47 = csLine; break;
		case 48: m_csNoto48 = csLine; break;
		case 49: m_csNoto49 = csLine; break;
		case 50: m_csNoto50 = csLine; break;
		case 51: m_csNoto51 = csLine; break;
		case 52: m_csNoto52 = csLine; break;
		case 53: m_csNoto53 = csLine; break;
		case 54: m_csNoto54 = csLine; break;
		default: break;
		}
	}
	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
