/*
 $Id: RemoteProfileDlg.h,v 1.5 2002/05/15 22:18:48 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_REMOTEPROFILEDLG_H__FD7E0E66_DB23_11D3_A38A_00805FD91B8C__INCLUDED_)
#define AFX_REMOTEPROFILEDLG_H__FD7E0E66_DB23_11D3_A38A_00805FD91B8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RemoteProfileDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CRemoteProfileDlg dialog

class CRemoteProfileDlg : public CDialog
{
// Construction
public:
	CRemoteProfileDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CRemoteProfileDlg)
	enum { IDD = IDD_REMOTEPROFILEDLG };
	CButton	m_cbRemoteSpawns;
	CButton	m_cbRemote;
	CButton	m_cbLocal;
	CEdit	m_ceReceiveTimeout;
	CEdit	m_ceBaseDir;
	CEdit	m_ceRemoteAccount;
	CEdit	m_ceUsername;
	CEdit	m_ceTusPort;
	CEdit	m_cePwd;
	CEdit	m_ceName;
	CEdit	m_ceIP;
	CEdit	m_ceHogPort;
	CString	m_csHogPort;
	CString	m_csIP;
	CString	m_csName;
	CString	m_csPwd;
	CString	m_csUsername;
	CString	m_csTusPort;
	CString	m_csReceiveTimeout;
	CString	m_csBaseDir;
	int		m_iProfile;
	bool	m_bRemoteSpawns;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRemoteProfileDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void EnableWindows(bool bLocal);

	// Generated message map functions
	//{{AFX_MSG(CRemoteProfileDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnRadioLocal();
	afx_msg void OnRadioRemote();
	afx_msg void OnRemotespawns();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REMOTEPROFILEDLG_H__FD7E0E66_DB23_11D3_A38A_00805FD91B8C__INCLUDED_)

