/*
 $Id: ScriptEditDlg.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_SCRIPTEDITDLG_H__17C03819_DA53_11D3_A38A_00805FD91B8C__INCLUDED_)
#define AFX_SCRIPTEDITDLG_H__17C03819_DA53_11D3_A38A_00805FD91B8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ScriptEditDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CScriptEditDlg dialog
DWORD CALLBACK streamIn(DWORD dwCookie, LPBYTE pbBuff, LONG cb, LONG *pcb);
DWORD CALLBACK streamOut(DWORD dwCookie,  LPBYTE pbBuff, LONG cb, LONG *pcb);

class CScriptEditDlg : public CDialog
{
// Construction
public:
	CString m_csFilename;
	CString m_csRemoteName;
	CScriptEditDlg(CWnd* pParent = NULL);   // standard constructor
	CFile m_cfFile;

// Dialog Data
	//{{AFX_DATA(CScriptEditDlg)
	enum { IDD = IDD_SCRIPTEDITDLG };
	CRichEditCtrl	m_creScript;
	CButton	m_cbOK;
	CButton	m_cbCancel;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CScriptEditDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int m_iRightBorder;

	// Generated message map functions
	//{{AFX_MSG(CScriptEditDlg)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnChangeScriptedit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCRIPTEDITDLG_H__17C03819_DA53_11D3_A38A_00805FD91B8C__INCLUDED_)
