/*
 $Id: addvaluedialog.cpp,v 1.3 2002/05/01 03:33:11 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

// AddValueDialog.cpp : implementation file
//

#include "stdafx.h"
#include "drewsky.h"
#include "AddValueDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddValueDialog dialog


CAddValueDialog::CAddValueDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CAddValueDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAddValueDialog)
	m_csValue = _T("");
	//}}AFX_DATA_INIT
}


void CAddValueDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddValueDialog)
	DDX_Text(pDX, IDC_VALUE, m_csValue);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddValueDialog, CDialog)
	//{{AFX_MSG_MAP(CAddValueDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddValueDialog message handlers

void CAddValueDialog::OnOK() 
{
	UpdateData(true);
	m_csValue.TrimLeft();
	if (m_csValue == "")
	{
		AfxMessageBox("Please enter a name", MB_OK | MB_ICONEXCLAMATION);
		return;
	}
	
	CDialog::OnOK();
}

BOOL CAddValueDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	if (this->m_csTitle != "")
		this->SetWindowText(m_csTitle);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
