/*
 $Id: lootitemeditdlg.h,v 1.3 2002/05/01 03:33:11 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_LOOTITEMEDITDLG_H__D641A8B5_E95A_11D2_A61F_004F4905E937__INCLUDED_)
#define AFX_LOOTITEMEDITDLG_H__D641A8B5_E95A_11D2_A61F_004F4905E937__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// LootItemEditDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLootItemEditDlg dialog

class CLootItemEditDlg : public CDialog
{
// Construction
public:
	bool m_bNewbie;
	CString m_csName;
	CString m_csMin;
	CString m_csMax;
	CString m_csFrequency;
	CString m_csColor;
	CLootItemEditDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLootItemEditDlg)
	enum { IDD = IDD_LOOTITEM_EDIT_DLG };
	CButton	m_cbNewbie;
	CButton	m_cbRandom;
	CEdit	m_ceName;
	CEdit	m_ceMin;
	CEdit	m_ceMax;
	CEdit	m_ceFrequency;
	CComboBox	m_ccbColor;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLootItemEditDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLootItemEditDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnLootitemRandom();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void FillColors();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOOTITEMEDITDLG_H__D641A8B5_E95A_11D2_A61F_004F4905E937__INCLUDED_)
