/*
 $Id: spawnlist.h,v 1.3 2002/05/01 03:33:12 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_SPAWNLIST_H__A42F9181_FBE8_11D2_8714_00805FD91B8C__INCLUDED_)
#define AFX_SPAWNLIST_H__A42F9181_FBE8_11D2_8714_00805FD91B8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SpawnList.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSpawnList dialog

class CSpawnList : public CDialog
{
// Construction
public:
	CString m_csSearchText;
	CString m_csTitle;
	CStringArray * m_pcsaSpawns;
	CSpawnList(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSpawnList)
	enum { IDD = IDD_SPAWNLIST };
	CButton	m_cbFindNext;
	CListBox	m_clbSpawnList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSpawnList)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSpawnList)
	virtual BOOL OnInitDialog();
	afx_msg void OnGospawn();
	afx_msg void OnFindspawn();
	afx_msg void OnFindnext();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SPAWNLIST_H__A42F9181_FBE8_11D2_8714_00805FD91B8C__INCLUDED_)
