/*
 $Id: AMPatchDlg.h,v 1.3 2002/05/01 03:33:20 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

// AMPatchDlg.h : header file
//

#if !defined(AFX_AMPATCHDLG_H__BAB9C80B_486C_49BE_9537_E82CEE73B8CC__INCLUDED_)
#define AFX_AMPATCHDLG_H__BAB9C80B_486C_49BE_9537_E82CEE73B8CC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../ClientPatch.h"

/////////////////////////////////////////////////////////////////////////////
// CAMPatchDlg dialog

class CAMPatchDlg : public CDialog
{
// Construction
public:
	CAMPatchDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAMPatchDlg)
	enum { IDD = IDD_AMPATCH_DIALOG };
	CEdit	m_cePatchFile;
	CStatic	m_csClientPath;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAMPatchDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CClientPatch m_patch;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAMPatchDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnChangepath();
	afx_msg void OnSelectpatch();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AMPATCHDLG_H__BAB9C80B_486C_49BE_9537_E82CEE73B8CC__INCLUDED_)
