/*
 $Id: AxisLogDlg.h,v 1.1 2002/07/17 19:10:57 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_AXISLOGDLG_H__E4FC6116_99A5_11D6_95AB_00805FD91B8C__INCLUDED_)
#define AFX_AXISLOGDLG_H__E4FC6116_99A5_11D6_95AB_00805FD91B8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AxisLogDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAxisLogDlg dialog

class CAxisLogDlg : public CPropertyPage
{
	DECLARE_DYNCREATE(CAxisLogDlg)
	
// Construction
public:
	void AddText(CString csText);
	void SetVisible(bool bVisible) { m_bVisible = bVisible; }
	CAxisLogDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CAxisLogDlg)
	enum { IDD = IDD_AXISLOG_DLG };
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAxisLogDlg)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAxisLogDlg)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	CEdit	m_ceLog;
	CString m_csText;
	bool m_bVisible;
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AXISLOGDLG_H__E4FC6116_99A5_11D6_95AB_00805FD91B8C__INCLUDED_)
