/*
 $Id: CommandTab.h,v 1.3 2002/05/01 03:33:09 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_COMMANDTAB_H__2D6EE6E3_D508_11D3_A38A_00805FD91B8C__INCLUDED_)
#define AFX_COMMANDTAB_H__2D6EE6E3_D508_11D3_A38A_00805FD91B8C__INCLUDED_

#include "SpawnMessageDlg.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CommandTab.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCommandTab dialog

class CCommandTab : public CPropertyPage
{
	DECLARE_DYNCREATE(CCommandTab)

// Construction
public:
	CCommandTab();
	virtual ~CCommandTab();

// Dialog Data
	//{{AFX_DATA(CCommandTab)
	enum { IDD = IDD_COMMAND_TAB };
	CButton	m_cbAdd;
	CButton	m_cbChange;
	CButton	m_cbRemove;
	CButton	m_cbCmd9;
	CButton	m_cbCmd8;
	CButton	m_cbCmd7;
	CButton	m_cbCmd6;
	CButton	m_cbCmd5;
	CButton	m_cbCmd4;
	CButton	m_cbCmd36;
	CButton	m_cbCmd35;
	CButton	m_cbCmd34;
	CButton	m_cbCmd33;
	CButton	m_cbCmd32;
	CButton	m_cbCmd31;
	CButton	m_cbCmd30;
	CButton	m_cbCmd3;
	CButton	m_cbCmd29;
	CButton	m_cbCmd28;
	CButton	m_cbCmd27;
	CButton	m_cbCmd26;
	CButton	m_cbCmd25;
	CButton	m_cbCmd24;
	CButton	m_cbCmd23;
	CButton	m_cbCmd22;
	CButton	m_cbCmd21;
	CButton	m_cbCmd20;
	CButton	m_cbCmd2;
	CButton	m_cbCmd19;
	CButton	m_cbCmd18;
	CButton	m_cbCmd17;
	CButton	m_cbCmd16;
	CButton	m_cbCmd15;
	CButton	m_cbCmd14;
	CButton	m_cbCmd13;
	CButton	m_cbCmd12;
	CButton	m_cbCmd11;
	CButton	m_cbCmd10;
	CButton	m_cbCmd1;
	CEdit	m_ceCommand;
	CEdit	m_ceCaption;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CCommandTab)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void CommandChange(CString csOldCaption);
	void CommandRemove(CString csCaption);
	bool m_bRemoveButton;
	bool m_bEditButton;
	CSpawnMessageDlg * m_pMessageBox;
	CStringArray m_csaCommands;
	void UpdateButtons();
	void CommandAdd(CString csCaption, CString csCommand);
	// Generated message map functions
	//{{AFX_MSG(CCommandTab)
	afx_msg void OnAddCmd();
	afx_msg void OnChangeCmd();
	afx_msg void OnCustomCmd1();
	afx_msg void OnCustomCmd10();
	afx_msg void OnCustomCmd11();
	afx_msg void OnCustomCmd12();
	afx_msg void OnCustomCmd13();
	afx_msg void OnCustomCmd14();
	afx_msg void OnCustomCmd15();
	afx_msg void OnCustomCmd16();
	afx_msg void OnCustomCmd17();
	afx_msg void OnCustomCmd18();
	afx_msg void OnCustomCmd19();
	afx_msg void OnCustomCmd2();
	afx_msg void OnCustomCmd20();
	afx_msg void OnCustomCmd21();
	afx_msg void OnCustomCmd22();
	afx_msg void OnCustomCmd23();
	afx_msg void OnCustomCmd24();
	afx_msg void OnCustomCmd25();
	afx_msg void OnCustomCmd26();
	afx_msg void OnCustomCmd27();
	afx_msg void OnCustomCmd28();
	afx_msg void OnCustomCmd29();
	afx_msg void OnCustomCmd3();
	afx_msg void OnCustomCmd30();
	afx_msg void OnCustomCmd31();
	afx_msg void OnCustomCmd32();
	afx_msg void OnCustomCmd33();
	afx_msg void OnCustomCmd34();
	afx_msg void OnCustomCmd35();
	afx_msg void OnCustomCmd36();
	afx_msg void OnCustomCmd4();
	afx_msg void OnCustomCmd5();
	afx_msg void OnCustomCmd6();
	afx_msg void OnCustomCmd7();
	afx_msg void OnCustomCmd8();
	afx_msg void OnCustomCmd9();
	afx_msg void OnRemoveCmd();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMMANDTAB_H__2D6EE6E3_D508_11D3_A38A_00805FD91B8C__INCLUDED_)
