/*
 $Id: NameEditDlg.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_NAMEEDITDLG_H__1015F314_2272_11D3_8721_00805FD91B8C__INCLUDED_)
#define AFX_NAMEEDITDLG_H__1015F314_2272_11D3_8721_00805FD91B8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NameEditDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNameEditDlg dialog

class CNameEditDlg : public CDialog
{
// Construction
public:
	CStringArray m_saHeader;
	CNameEditDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CNameEditDlg)
	enum { IDD = IDD_NAMEEDITORDLG };
	CButton	m_cbSave;
	CListBox	m_clbNameList;
	CEdit	m_ceNameEntry;
	CComboBox	m_ccbGroupNames;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNameEditDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CStringArray * m_pCurrentArray;

	// Generated message map functions
	//{{AFX_MSG(CNameEditDlg)
	afx_msg void OnAddnamegroup();
	afx_msg void OnInsertname();
	afx_msg void OnOk();
	virtual BOOL OnInitDialog();
	afx_msg int OnVKeyToItem(UINT nKey, CListBox* pListBox, UINT nIndex);
	afx_msg void OnSelchangeNamegrouplist();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NAMEEDITDLG_H__1015F314_2272_11D3_8721_00805FD91B8C__INCLUDED_)
