/*
 $Id: SkillTableEditDlg.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_SKILLTABLEEDITDLG_H__D718F8F1_2400_11D3_8722_00805FD91B8C__INCLUDED_)
#define AFX_SKILLTABLEEDITDLG_H__D718F8F1_2400_11D3_8722_00805FD91B8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SkillTableEditDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSkillTableEditDlg dialog

#include "SkillDef.h"

class CSkillTableEditDlg : public CDialog
{
// Construction
public:
	bool ValidateData();
	CTSkillDef * m_pCurrentSkill;
	virtual ~CSkillTableEditDlg();
	CSkillTableEditDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSkillTableEditDlg)
	enum { IDD = IDD_SKILLTABLEEDITDLG };
	CEdit	m_ceTitle;
	CEdit	m_ceStatStr;
	CEdit	m_ceStatDex;
	CEdit	m_ceStatInt;
	CEdit	m_ceSkillStat;
	CEdit	m_ceSkillRate3;
	CEdit	m_ceSkillRate2;
	CEdit	m_ceSkillRate1;
	CEdit	m_cePromptMessage;
	CEdit	m_ceSkillKey;
	CEdit	m_ceFailureMessage;
	CComboBox	m_ccbSkills;
	CEdit	m_ceSkillDelay;
	CEdit	m_ceBonusStr;
	CEdit	m_ceBonusInt;
	CEdit	m_ceBonusDex;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSkillTableEditDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSkillTableEditDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeSkilleditlist();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SKILLTABLEEDITDLG_H__D718F8F1_2400_11D3_8722_00805FD91B8C__INCLUDED_)
