/*
 $Id: SpellEditDlg.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_SPELLEDITDLG_H__A7FE2706_260D_11D3_88B9_004F4905E937__INCLUDED_)
#define AFX_SPELLEDITDLG_H__A7FE2706_260D_11D3_88B9_004F4905E937__INCLUDED_

#include "SpellDef.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SpellEditDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSpellEditDlg dialog

class CSpellEditDlg : public CDialog
{
// Construction
public:
	CTSpellDef * m_pSpell;
	virtual ~CSpellEditDlg();
	CString ExpandWOP();
	CString m_csWOP;
	CStringArray m_csaWOP;
	CSpellEditDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSpellEditDlg)
	enum { IDD = IDD_SPELLEDITDLG };
	CListBox	m_clbReagents;
	CEdit	m_ceEffectHi;
	CEdit	m_ceEffectLo;
	CListBox	m_clbFlags;
	CComboBox	m_ccbEffect;
	CComboBox	m_ccbScroll;
	CComboBox	m_ccbRunes;
	CEdit	m_ceWOP;
	CComboBox	m_ccbSounds;
	CEdit	m_ceName;
	CComboBox	m_ccbSpellList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSpellEditDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void FillData();
	void FillReagents();
	void FillWordsOfPower();
	void FillSpells();
	// Generated message map functions
	//{{AFX_MSG(CSpellEditDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeSespelllist();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SPELLEDITDLG_H__A7FE2706_260D_11D3_88B9_004F4905E937__INCLUDED_)
