/*
 $Id: StaticRegionColorDlg.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_STATICREGIONCOLORDLG_H__F1FA8782_42AE_46D9_B641_D8BC30D633CE__INCLUDED_)
#define AFX_STATICREGIONCOLORDLG_H__F1FA8782_42AE_46D9_B641_D8BC30D633CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StaticRegionColorDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStaticRegionColorDlg dialog

class CStaticRegionColorDlg : public CDialog
{
// Construction
public:
	CStaticRegionColorDlg(CWnd* pParent = NULL);   // standard constructor

	DWORD m_dwIncludeColor;
	DWORD m_dwExcludeColor;

// Dialog Data
	//{{AFX_DATA(CStaticRegionColorDlg)
	enum { IDD = IDD_STATIC_REGION_COLOR_DLG };
	CStatic	m_csInclude;
	CStatic	m_csExclude;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStaticRegionColorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CStaticRegionColorDlg)
	afx_msg void OnPaint();
	virtual BOOL OnInitDialog();
	afx_msg void OnExcludecolor();
	afx_msg void OnIncludecolor();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STATICREGIONCOLORDLG_H__F1FA8782_42AE_46D9_B641_D8BC30D633CE__INCLUDED_)
