/*
 $Id: StaticRegionEditDlg.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_STATICREGIONEDITDLG_H__2DA6F271_48AD_4EF5_9D4C_EE004A6E8F84__INCLUDED_)
#define AFX_STATICREGIONEDITDLG_H__2DA6F271_48AD_4EF5_9D4C_EE004A6E8F84__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StaticRegionEditDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStaticRegionEditDlg dialog

class CStaticRegionEditDlg : public CDialog
{
// Construction
public:
	CStaticRegionEditDlg(CWnd* pParent = NULL);   // standard constructor
	~CStaticRegionEditDlg();
	CPtrArray m_aIncludes;
	CPtrArray m_aExcludes;

// Dialog Data
	//{{AFX_DATA(CStaticRegionEditDlg)
	enum { IDD = IDD_EDIT_STATIC_REGIONS };
	CListBox	m_clbIncludes;
	CListBox	m_clbExcludes;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStaticRegionEditDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void FillListBoxes();

	// Generated message map functions
	//{{AFX_MSG(CStaticRegionEditDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnRemove();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STATICREGIONEDITDLG_H__2DA6F271_48AD_4EF5_9D4C_EE004A6E8F84__INCLUDED_)
