/*
 $Id: generaltab.h,v 1.4 2002/05/08 15:44:18 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

/**********************************************************************
 * Changes:
 *  - 7 May 2002 - PiotrBanasik
 *    + Removed the Underwear Button from this form (who uses it that
 *      often anyways
 *    + Added NightSight Button in place of the Underwear button
 *    + Rearranged the buttons on the GM Page tab a little bit
 *      Split off Disconnect and Kick, and renamed Kick to Ban
 *      (Adjusted the confirmation box to say Ban aswell)
 *    + minor tweaks to make buttons not touch
 * 
 **********************************************************************/


#if !defined(AFX_GENERALTAB_H__DFB29CF4_D431_11D2_A613_004F4905E937__INCLUDED_)
#define AFX_GENERALTAB_H__DFB29CF4_D431_11D2_A613_004F4905E937__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// GeneralTab.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGeneralTab dialog

class CGeneralTab : public CPropertyPage
{
	DECLARE_DYNCREATE(CGeneralTab)

// Construction
public:
	CGeneralTab();
	virtual ~CGeneralTab();

// Dialog Data
	//{{AFX_DATA(CGeneralTab)
	enum { IDD = IDD_GENERAL_TAB };
	CEdit	m_ceIPBlock;
	CStatic	m_csSliderValue;
	CSliderCtrl	m_cscSlider;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CGeneralTab)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CGeneralTab)
	afx_msg void OnInvulnerable();
	afx_msg void OnSetallmove();
	afx_msg void OnInvisible();
	afx_msg void OnFix();
	afx_msg void OnSetdetail();
	afx_msg void OnSethearall();
	afx_msg void OnGmtoggle();
	afx_msg void OnClients();
	afx_msg void OnServerinfo();
	afx_msg void OnIteminfo();
	afx_msg void OnAdmin();
	afx_msg void OnClock();
	afx_msg void OnFlip();
	afx_msg void OnLink();
	afx_msg void OnDupe();
	afx_msg void OnNuke();
	afx_msg void OnRemove();
	afx_msg void OnShrink();
	afx_msg void OnDebug();
	afx_msg void OnSave();
	afx_msg void OnRestock();
	afx_msg void OnRestockall();
	afx_msg void OnRespawn();
	afx_msg void OnDry();
	afx_msg void OnRain();
	afx_msg void OnSnow();
	afx_msg void OnPageon();
	afx_msg void OnPageoff();
	afx_msg void OnPageorigin();
	afx_msg void OnPageplayer();
	afx_msg void OnPagejail();
	afx_msg void OnPagekick();
	afx_msg void OnPagedisconnect();
	afx_msg void OnPagequeue();
	afx_msg void OnPagelist();
	afx_msg void OnPagedelete();
	afx_msg void OnKill();
	afx_msg void OnJail();
	afx_msg void OnBank();
	afx_msg void OnControl();
	afx_msg void OnForgive();
	afx_msg void OnDisconnect();
	afx_msg void OnStock();
	afx_msg void OnPurchases();
	afx_msg void OnBuy();
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSetlight();
	afx_msg void OnSetedit();
	afx_msg void OnBlock();
	afx_msg void OnUnblock();
	afx_msg void OnXrestock();
	afx_msg void OnNightsight();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GENERALTAB_H__DFB29CF4_D431_11D2_A613_004F4905E937__INCLUDED_)
