/*
 $Id: resourceeditdlg.cpp,v 1.3 2002/05/01 03:33:11 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

// ResourceEditDlg.cpp : implementation file
//

#include "stdafx.h"
#include "drewsky.h"
#include "ResourceEditDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CResourceEditDlg dialog


CResourceEditDlg::CResourceEditDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CResourceEditDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CResourceEditDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CResourceEditDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CResourceEditDlg)
	DDX_Control(pDX, IDC_RESOURCE_NAME, m_ceResourceName);
	DDX_Control(pDX, IDC_RESOURCE_MIN, m_ceResourceMin);
	DDX_Control(pDX, IDC_RESOURCE_MAX, m_ceResourceMax);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CResourceEditDlg, CDialog)
	//{{AFX_MSG_MAP(CResourceEditDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CResourceEditDlg message handlers

void CResourceEditDlg::OnOK() 
{
	CWaitCursor hourglass;
	CString csMax, csMin;
	this->m_ceResourceMax.GetWindowText(csMax);
	this->m_ceResourceMin.GetWindowText(csMin);
	int iMax = atoi(csMax);
	int iMin = atoi(csMin);
	if (iMin <= iMax)
	{
		m_csMax = csMax;
		m_csMin = csMin;
	}
	else
	{
		m_csMax = csMin;
		m_csMin = csMax;
	}
	
	CDialog::OnOK();
}

BOOL CResourceEditDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_csMax.TrimRight();
	m_csMax.TrimLeft();
	m_csMin.TrimRight();
	m_csMin.TrimLeft();

	this->m_ceResourceMax.SetWindowText(m_csMax);
	this->m_ceResourceMin.SetWindowText(m_csMin);
	this->m_ceResourceName.SetWindowText(m_csName);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
