/*
 $Id: venditemdlg.h,v 1.3 2002/05/01 03:33:12 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_VENDITEMDLG_H__D641A8B1_E95A_11D2_A61F_004F4905E937__INCLUDED_)
#define AFX_VENDITEMDLG_H__D641A8B1_E95A_11D2_A61F_004F4905E937__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// VendItemDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CVendItemDlg dialog

class CVendItemDlg : public CDialog
{
// Construction
public:
	CString m_csName;
	CString m_csFrequency;
	CString m_csMaximum;
	CString m_csMinimum;
	CVendItemDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CVendItemDlg)
	enum { IDD = IDD_VENDITEM_DLG };
	CEdit	m_ceVendItemName;
	CEdit	m_ceVendItemMin;
	CEdit	m_ceVendItemMax;
	CEdit	m_ceVendItemFrequency;
	CButton	m_cbRandomChance;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVendItemDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CVendItemDlg)
	afx_msg void OnVenditemChance();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VENDITEMDLG_H__D641A8B1_E95A_11D2_A61F_004F4905E937__INCLUDED_)
